package com.ozs.base.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.vo.PageVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BaseExpertVo extends PageVo {
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 专家名称
     */
    @ApiModelProperty(value = "专家名称")
    private String expertName;

    /**
     * 专家性别
     */
    @ApiModelProperty(value = "专家性别")
    private String expertGender;

    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM")
    @ApiModelProperty(value = "出生年月")
    private String expertDateBirth;

    /**
     * 联系方式
     */
    @ApiModelProperty(value = "联系方式")
    private String expertTel;

    /**
     * 专业类型
     */
    @ApiModelProperty(value = "专业类型")
    private String majorType;

    /**
     * 单位信息
     */
    @ApiModelProperty(value = "单位信息")
    private String unitInformation;

    /**
     * 专业等级
     */
    @ApiModelProperty(value = "专业等级")
    private String majorGrade;

    /**
     * 采购品种
     */
    @ApiModelProperty(value = "采购品种")
    private String varietyPurchase;

    /**
     * 职称
     */
    @ApiModelProperty(value = "职称")
    private String professionalTitle;

    /**
     * 状态 黑白名单
     */
    @ApiModelProperty(value = "状态 黑白名单")
    private String status;

    /**
     * 所在区域
     */
    @ApiModelProperty(value = "所在区域")
    private String localArea;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idNumber;
}
